<template>
  <div class="grid product-container">
    <div class="grid-col-2">
      <img
        class="product-cover-img only-desktop"
        itemprop="image"
        :src="info.imageUrl"
      />
    </div>

    <div class="grid-col-4">
      <h1 class="product-title" itemprop="name">{{ info.name }}</h1>
      <img
        class="product-cover-img only-mobile"
        itemprop="image"
        :src="info.imageUrl"
      />
      <div class="product-description" itemprop="about">
        <h2 v-if="info.title" class="product-description-title">
          {{ info.title }}
        </h2>
        <div class="product-description-content">
          <span v-html="truncateDescription"></span>
          <a
            v-if="!descriptionIsShort"
            class="text--md text--primary read-more"
            href="#read-more"
            @click.prevent="isTruncated = !isTruncated"
            >{{ $t('serie.read_more') }}</a
          >
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    info: {
      type: Object,
      required: true
    }
  },
  data() {
    return {
      isTruncated: true
    }
  },
  computed: {
    descriptionIsShort() {
      const stripped = this.info.description
        .replace(/<\/?[^>]+>/gi, '<br>')
        .replace(/(<br>)+/g, '<br>')
      return stripped.length <= 400
    },
    truncateDescription() {
      const stripped = this.info.description
        .replace(/<\/?[^>]+>/gi, '<br>')
        .replace(/(<br>)+/g, '<br>')
      let text = stripped

      if (this.isTruncated) {
        if (text.length > 400) {
          text = text.slice(0, 400)
          text =
            text.substr(0, Math.min(text.length, text.lastIndexOf(' '))) + '...'
        }
      }

      return text
    }
  }
}
</script>

<style lang="scss" scoped>
.only-mobile {
  display: none;
}

.only-desktop {
  display: inline;
}

@media (max-width: 768px) {
  .only-mobile {
    display: inline;
  }

  .only-desktop {
    display: none;
  }
}

.grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: auto;

  [class^='grid-col'] {
    float: left;
    width: 100%;
    min-height: 1px;
    padding: 0;
  }

  .grid-col-2 {
    width: 30%;
    padding-left: 2.5%;
    padding-right: 2.5%;
  }

  .grid-col-4 {
    width: 65%;
    padding-left: 2.5%;
    padding-right: 2.5%;
  }
}

.product-title {
  margin: 0 0 7px;
  font-family: DINCond-Regular, sans-serif;
  font-weight: 100;
  font-size: 4.28571rem;
  line-height: 1;
  color: #ff641e;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -moz-line-clamp: 2;
  -o-line-clamp: 2;
  -ms-line-clamp: 2;
  -webkit-box-orient: vertical;
  -moz-box-orient: vertical;
  -o-box-orient: vertical;
  -ms-box-orient: vertical;
  overflow: initial;
}

.product-description {
  margin: 30px 0;
  font-size: 14px;
  font-size: 1rem;
  line-height: 1.71429em;

  &-title {
    margin: 15px 0;
    font-size: 18px;
    font-size: 1.28571rem;
    line-height: 1;
  }

  &-content {
    margin: 15px 0;
    max-width: 620px;
  }

  h2 {
    font-family: DINCond-Regular, sans-serif;
    font-size: 36px;
    font-weight: 400;
    text-transform: uppercase;
  }
}

@media (max-width: 767px) {
  .grid {
    flex-direction: column;
  }
}
</style>
